: Class FolderListTransferable

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.ui
Class FolderListTransferable

    java.lang.Object
      |
      +--grendel.ui.FolderListTransferable

public class FolderListTransferable
extends java.lang.Object
implements java.awt.datatransfer.Transferable

Constructor Summary
`FolderListTransferable(java.util.Vector aList)`

Method Summary
`java.util.Vector` | `getFolderList()`
`java.lang.Object` | `getTransferData(java.awt.datatransfer.DataFlavor aFlavor)`
`java.awt.datatransfer.DataFlavor[]` | `getTransferDataFlavors()`
`boolean` | `isDataFlavorSupported(java.awt.datatransfer.DataFlavor aFlavor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FolderListTransferable

    public FolderListTransferable(java.util.Vector aList)

Method Detail

### getFolderList

    public java.util.Vector getFolderList()

### getTransferData

    public java.lang.Object getTransferData(java.awt.datatransfer.DataFlavor aFlavor)
                                     throws java.awt.datatransfer.UnsupportedFlavorException,
                                            java.io.IOException

  Specified by:
    getTransferData in interface java.awt.datatransfer.Transferable

### getTransferDataFlavors

    public java.awt.datatransfer.DataFlavor[] getTransferDataFlavors()

  Specified by:
    getTransferDataFlavors in interface java.awt.datatransfer.Transferable

### isDataFlavorSupported

    public boolean isDataFlavorSupported(java.awt.datatransfer.DataFlavor aFlavor)

  Specified by:
    isDataFlavorSupported in interface java.awt.datatransfer.Transferable

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD